#include <iostream>

using namespace std;

int main()

{
long long N,M,K;
cin>>N>>M>>K;
long long niz[K+1];
long long niz2[K+1];
for (long long i=0;i<K;i++)
cin>>niz[i]>>niz2[i];

cout<<3;



    return 0;
}